For the complete documentation index, see llms.txt. This page is also available as Markdown.

Taslağı Onaylayıp Gönderir

Taslak faturayı onaylayıp gönderir.

post

Taslak olarak oluşturduğunuz belgeyi faturayı göndermek için bu ucu kullanabilirsiniz.

Authorizations
HTTPRequired

API Key Giriniz

Bodyobject · SendInvoiceModel[]
Aliasstring · nullableOptional
UUIDstring · uuidOptional
Responses
200

Taslak faturayı onaylayıp gönderir.

application/json
string[]Optional
post/Draft/ConfirmAndSend
POST /einvoice/Draft/ConfirmAndSend HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 64

[
  {
    "Alias": "text",
    "UUID": "123e4567-e89b-12d3-a456-426614174000"
  }
]
[
  "text"
]
var client = new RestClient("//einvoice/Draft/ConfirmAndSend");
client.Timeout = -1;
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "text/plain");
request.AddHeader("Authorization", "Bearer <API KEY>");
var body = "[
  {
    "Alias": "string",
    "UUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
]";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => '//einvoice/Draft/ConfirmAndSend',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'[
  {
    "Alias": "string",
    "UUID": "b9c71e22-fe8f-cd06-3d8e-f60a9db7de9e"
  }
]',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: text/plain',
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated